#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""Module mongodb"""
from os.path import join
from os import system
from shutil import copyfile
from glob import glob
from pyeole.bareosrestore import exit_if_running_jobs, bareos_mark_path, \
    bareos_restore
from creole.client import CreoleClient

mongodbsavdir = '/home/backup/mongo/'

def execute(option, opt_str, value, parser, jobid, test_jobs=True):
    """ldap helper"""
    if len(parser.rargs) > 0:
        option = parser.rargs[0]
        if option == 'pre':
            pre()
        elif option == 'post':
            post()
    else:
        if test_jobs:
            exit_if_running_jobs()
        job(jobid)

def pre():
    print("pre mongodb")

def post():
    print("post mongodb")
    print("restauration de {0}".format(mongodbsavdir))
    system("mongorestore --drop {0}".format(mongodbsavdir))

def job(jobid):
    print("Restauration mongodb")
    # marquage du dossier sql
    marked_paths = bareos_mark_path(mongodbsavdir)
    # restauration des fichiers marqués
    bareos_restore(jobid, selection=marked_paths)

priority = 30
